package com.ruoyi.web.work.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.dto.PatientCardDto;
import com.ruoyi.web.work.domain.Pv1;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.work.domain.dto.Pv1MedicalRecord;

/**
 * @author lsw
 * @date 2024-07-23
 */
public interface IPv1Service extends IService<Pv1>{
    List<Pv1> selectList(Pv1 pv1);

    List<PatientCardDto> getPatientCardByNameOrDepartment(String patientName, String departmentName, String physician);

    List<PatientCardDto> getAllDepartment();

    List<Pv1MedicalRecord> getMedicalRecord(String beginTime, String endTime, Long patientId);
}
